import * as React from 'react';
import { Direction, PropsWithMetadata } from '@highlight-ui/utils-commons';
export declare type DropdownMenuListProps = React.PropsWithChildren<PropsWithMetadata<{
    className?: string;
    containerWidth?: number;
    direction?: Direction;
    onToggle?: any;
    open?: boolean;
    preventToCloseOnClick?: boolean;
    /** Gives this dropdown a title */
    title?: string;
}>> & React.ComponentPropsWithoutRef<'div'>;
export declare class DropdownMenuList extends React.Component<DropdownMenuListProps> {
    dropdownListRef: React.RefObject<HTMLDivElement>;
    static defaultProps: {
        open: boolean;
        preventToCloseOnClick: boolean;
        direction: string;
        containerWidth: number;
        className: null;
        onToggle: null;
    };
    constructor(props: DropdownMenuListProps);
    componentDidUpdate(): void;
    render(): React.ReactNode;
}
